Emitted when the synchronizing of offline changes for models is aborted.

experimental

### Hierarchy

- OfflineModelSyncAbortedEvent

### Implements

- IConvergenceEvent

## Index

### Properties

- code
- name
- reason
- NAME

## Properties

### code

code: string

A machine readable code.

### name

name: string = OfflineModelSyncAbortedEvent.NAME

Implementation of IConvergenceEvent.name

The name of the event that was fired. This is commonly used to filter when using the ConvergenceEventEmitter.events stream.

Note that the name is only guaranteed to be unique within the class / subsystem that is firing it. Names might be reused across classes and subsystems.

### reason

reason: string

The reason the process was aborted.

### StaticNAME

NAME: "offline_model_sync_aborted" = "offline_model_sync_aborted"